/// <reference types="react" />
import * as mui from '@mui/material';
import * as hooks from '@mantine/hooks';
export * from 'react-icons/tb';
export * from 'react-syntax-highlighter/dist/cjs/styles/prism';
declare const _default: {
    colors: typeof mui.colors;
    Accordion: import("@mui/material/OverridableComponent").OverridableComponent<mui.AccordionTypeMap<{}, "div">>;
    AccordionActions: typeof mui.AccordionActions;
    AccordionDetails: typeof mui.AccordionDetails;
    AccordionSummary: mui.ExtendButtonBase<mui.AccordionSummaryTypeMap<{}, "div">>;
    Alert: typeof mui.Alert;
    AlertTitle: typeof mui.AlertTitle;
    AppBar: import("@mui/material/OverridableComponent").OverridableComponent<mui.AppBarTypeMap<{}, "header">>;
    Autocomplete: typeof mui.Autocomplete;
    Avatar: import("@mui/material/OverridableComponent").OverridableComponent<mui.AvatarTypeMap<{}, "div">>;
    AvatarGroup: typeof mui.AvatarGroup;
    Backdrop: import("@mui/material/OverridableComponent").OverridableComponent<mui.BackdropTypeMap<{}, "div">>;
    Badge: import("@mui/material/OverridableComponent").OverridableComponent<mui.BadgeTypeMap<"span", {}>>;
    BottomNavigation: import("@mui/material/OverridableComponent").OverridableComponent<mui.BottomNavigationTypeMap<{}, "div">>;
    BottomNavigationAction: mui.ExtendButtonBase<mui.BottomNavigationActionTypeMap<{}, "button">>;
    Box: import("@mui/types").OverridableComponent<import("@mui/system").BoxTypeMap<{}, "div", mui.Theme>>;
    Breadcrumbs: import("@mui/material/OverridableComponent").OverridableComponent<mui.BreadcrumbsTypeMap<{}, "nav">>;
    Button: mui.ExtendButtonBase<mui.ButtonTypeMap<{}, "button">>;
    ButtonBase: mui.ExtendButtonBase<mui.ButtonBaseTypeMap<{}, "button">>;
    ButtonGroup: import("@mui/material/OverridableComponent").OverridableComponent<mui.ButtonGroupTypeMap<{}, "div">>;
    Card: import("@mui/material/OverridableComponent").OverridableComponent<mui.CardTypeMap<{}, "div">>;
    CardActionArea: mui.ExtendButtonBase<mui.CardActionAreaTypeMap<{}, "button">>;
    CardActions: typeof mui.CardActions;
    CardContent: import("@mui/material/OverridableComponent").OverridableComponent<mui.CardContentTypeMap<{}, "div">>;
    CardHeader: mui.OverridableCardHeader;
    CardMedia: import("@mui/material/OverridableComponent").OverridableComponent<mui.CardMediaTypeMap<{}, "div">>;
    Checkbox: typeof mui.Checkbox;
    Chip: import("@mui/material/OverridableComponent").OverridableComponent<mui.ChipTypeMap<{}, "div">>;
    CircularProgress: typeof mui.CircularProgress;
    ClickAwayListener: typeof mui.ClickAwayListener;
    Collapse: typeof mui.Collapse;
    Container: import("@mui/material/OverridableComponent").OverridableComponent<mui.ContainerTypeMap<{}, "div">>;
    CssBaseline: typeof mui.CssBaseline;
    darkScrollbar: typeof mui.darkScrollbar;
    Dialog: typeof mui.Dialog;
    DialogActions: typeof mui.DialogActions;
    DialogContent: typeof mui.DialogContent;
    DialogContentText: import("@mui/material/OverridableComponent").OverridableComponent<mui.DialogContentTextTypeMap<{}, "span">>;
    DialogTitle: import("@mui/material/OverridableComponent").OverridableComponent<mui.DialogTitleTypeMap<{}, "span">>;
    Divider: import("@mui/material/OverridableComponent").OverridableComponent<mui.DividerTypeMap<{}, "hr">>;
    Drawer: typeof mui.Drawer;
    Fab: mui.ExtendButtonBase<mui.FabTypeMap<{}, "button">>;
    Fade: typeof mui.Fade;
    FilledInput: ((props: mui.FilledInputProps) => JSX.Element) & {
        muiName: string;
    };
    FormControl: import("@mui/material/OverridableComponent").OverridableComponent<mui.FormControlTypeMap<{}, "div">>;
    FormControlLabel: typeof mui.FormControlLabel;
    FormGroup: typeof mui.FormGroup;
    FormHelperText: import("@mui/material/OverridableComponent").OverridableComponent<mui.FormHelperTextTypeMap<{}, "p">>;
    FormLabel: import("@mui/material/OverridableComponent").OverridableComponent<mui.FormLabelTypeMap<{}, "label">>;
    Grid: import("@mui/material/OverridableComponent").OverridableComponent<mui.GridTypeMap<{}, "div">>;
    Unstable_Grid2: import("@mui/types").OverridableComponent<mui.Grid2TypeMap<{}, "div">>;
    Grow: typeof mui.Grow;
    Hidden: import("react").JSXElementConstructor<mui.HiddenProps>;
    Icon: import("@mui/material/OverridableComponent").OverridableComponent<mui.IconTypeMap<{}, "span">> & {
        muiName: string;
    };
    IconButton: mui.ExtendButtonBase<mui.IconButtonTypeMap<{}, "button">>;
    ImageList: import("@mui/material/OverridableComponent").OverridableComponent<mui.ImageListTypeMap<{}, "ul">>;
    ImageListItem: import("@mui/material/OverridableComponent").OverridableComponent<mui.ImageListItemTypeMap<{}, "li">>;
    ImageListItemBar: typeof mui.ImageListItemBar;
    Input: ((props: mui.InputProps) => JSX.Element) & {
        muiName: string;
    };
    InputAdornment: import("@mui/material/OverridableComponent").OverridableComponent<mui.InputAdornmentTypeMap<{}, "div">>;
    InputBase: typeof mui.InputBase;
    InputLabel: import("@mui/material/OverridableComponent").OverridableComponent<mui.InputLabelTypeMap<{}, "label">>;
    LinearProgress: typeof mui.LinearProgress;
    Link: import("@mui/material/OverridableComponent").OverridableComponent<mui.LinkTypeMap<{}, "a">>;
    List: mui.ExtendList<mui.ListTypeMap<{}, "ul">>;
    ListItem: ((props: {
        href: string;
    } & {
        button: true;
    } & mui.ListItemBaseProps & {
        components?: {
            Root?: import("react").ElementType<any> | undefined;
        } | undefined;
        componentsProps?: {
            root?: (import("react").HTMLAttributes<HTMLDivElement> & mui.ListItemComponentsPropsOverrides) | undefined;
        } | undefined;
        slotProps?: {
            root?: (import("react").HTMLAttributes<HTMLDivElement> & mui.ListItemComponentsPropsOverrides) | undefined;
        } | undefined;
        slots?: {
            root?: import("react").ElementType<any> | undefined;
        } | undefined;
    } & Omit<{
        action?: import("react").Ref<mui.ButtonBaseActions> | undefined;
        centerRipple?: boolean | undefined;
        children?: import("react").ReactNode;
        classes?: Partial<mui.ButtonBaseClasses> | undefined;
        disabled?: boolean | undefined;
        disableRipple?: boolean | undefined;
        disableTouchRipple?: boolean | undefined;
        focusRipple?: boolean | undefined;
        focusVisibleClassName?: string | undefined;
        LinkComponent?: import("react").ElementType<any> | undefined;
        onFocusVisible?: import("react").FocusEventHandler<any> | undefined;
        sx?: mui.SxProps<mui.Theme> | undefined;
        tabIndex?: number | undefined;
        TouchRippleProps?: Partial<import("@mui/material/ButtonBase/TouchRipple").TouchRippleProps> | undefined;
        touchRippleRef?: import("react").Ref<import("@mui/material/ButtonBase/TouchRipple").TouchRippleActions> | undefined;
    }, "classes"> & import("@mui/material/OverridableComponent").CommonProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>, "ref"> & {
        ref?: ((instance: HTMLAnchorElement | null) => void) | import("react").RefObject<HTMLAnchorElement> | null | undefined;
    }, "children" | "autoFocus" | "className" | "style" | "tabIndex" | "button" | "componentsProps" | "slotProps" | "slots" | "classes" | "components" | "sx" | "action" | "centerRipple" | "disabled" | "disableRipple" | "disableTouchRipple" | "focusRipple" | "focusVisibleClassName" | "LinkComponent" | "onFocusVisible" | "TouchRippleProps" | "touchRippleRef" | "alignItems" | "ContainerComponent" | "ContainerProps" | "dense" | "disableGutters" | "disablePadding" | "divider" | "secondaryAction" | "selected">) => JSX.Element) & import("@mui/material/OverridableComponent").OverridableComponent<mui.ExtendButtonBaseTypeMap<mui.ListItemTypeMap<{
        button: true;
    }, "div">>> & import("@mui/material/OverridableComponent").OverridableComponent<mui.ListItemTypeMap<{
        button?: false | undefined;
    }, "li">>;
    ListItemAvatar: typeof mui.ListItemAvatar;
    ListItemButton: mui.ExtendButtonBase<mui.ListItemButtonTypeMap<{}, "div">>;
    ListItemIcon: typeof mui.ListItemIcon;
    ListItemSecondaryAction: ((props: mui.ListItemSecondaryActionProps) => JSX.Element) & {
        muiName: string;
    };
    ListItemText: typeof mui.ListItemText;
    ListSubheader: import("@mui/material/OverridableComponent").OverridableComponent<mui.ListSubheaderTypeMap<{}, "li">>;
    Menu: typeof mui.Menu;
    MenuItem: mui.ExtendButtonBase<mui.MenuItemTypeMap<{}, "li">>;
    MenuList: mui.ExtendList<mui.MenuListTypeMap<{}, "ul">>;
    MobileStepper: typeof mui.MobileStepper;
    Modal: import("@mui/material/OverridableComponent").OverridableComponent<mui.ModalTypeMap<"div", {}>>;
    NativeSelect: ((props: mui.NativeSelectProps) => JSX.Element) & {
        muiName: string;
    };
    NoSsr: typeof mui.NoSsr;
    OutlinedInput: ((props: mui.OutlinedInputProps) => JSX.Element) & {
        muiName: string;
    };
    Pagination: typeof mui.Pagination;
    PaginationItem: import("@mui/material/OverridableComponent").OverridableComponent<mui.PaginationItemTypeMap<{}, "div">>;
    Paper: import("@mui/material/OverridableComponent").OverridableComponent<mui.PaperTypeMap<{}, "div">>;
    Popover: typeof mui.Popover;
    Popper: import("react").ForwardRefExoticComponent<Omit<import("@mui/base").PopperProps<"div">, "direction"> & {
        component?: import("react").ElementType<any> | undefined;
        components?: {
            Root?: import("react").ElementType<any> | undefined;
        } | undefined;
        componentsProps?: {
            root?: import("@mui/base").SlotComponentProps<"div", import("@mui/base").PopperRootSlotPropsOverrides, import("@mui/base").PopperOwnProps> | undefined;
        } | undefined;
        sx?: mui.SxProps<mui.Theme> | undefined;
    } & import("react").RefAttributes<HTMLDivElement>>;
    Portal: import("react").ForwardRefExoticComponent<mui.PortalProps & import("react").RefAttributes<Element>>;
    Radio: typeof mui.Radio;
    RadioGroup: typeof mui.RadioGroup;
    Rating: typeof mui.Rating;
    ScopedCssBaseline: import("@mui/material/OverridableComponent").OverridableComponent<mui.ScopedCssBaselineTypeMap<{}, "div">>;
    Select: (<T>(props: mui.SelectProps<T>) => JSX.Element) & {
        muiName: string;
    };
    Skeleton: import("@mui/material/OverridableComponent").OverridableComponent<mui.SkeletonTypeMap<{}, "span">>;
    Slide: typeof mui.Slide;
    Slider: import("@mui/material/OverridableComponent").OverridableComponent<mui.SliderTypeMap<"span", {}>>;
    Snackbar: typeof mui.Snackbar;
    SnackbarContent: typeof mui.SnackbarContent;
    SpeedDial: typeof mui.SpeedDial;
    SpeedDialAction: typeof mui.SpeedDialAction;
    SpeedDialIcon: ((props: mui.SpeedDialIconProps) => JSX.Element) & {
        muiName: string;
    };
    Stack: import("@mui/material/OverridableComponent").OverridableComponent<mui.StackTypeMap<{}, "div">>;
    Step: import("@mui/material/OverridableComponent").OverridableComponent<mui.StepTypeMap<{}, "div">>;
    StepButton: mui.ExtendButtonBase<mui.StepButtonTypeMap<{}, "button">>;
    StepConnector: typeof mui.StepConnector;
    StepContent: typeof mui.StepContent;
    StepIcon: typeof mui.StepIcon;
    StepLabel: ((props: mui.StepLabelProps) => JSX.Element) & {
        muiName: string;
    };
    Stepper: import("@mui/material/OverridableComponent").OverridableComponent<mui.StepperTypeMap<{}, "div">>;
    SvgIcon: import("@mui/material/OverridableComponent").OverridableComponent<mui.SvgIconTypeMap<{}, "svg">> & {
        muiName: string;
    };
    SwipeableDrawer: import("react").JSXElementConstructor<mui.SwipeableDrawerProps>;
    Switch: typeof mui.Switch;
    Tab: mui.ExtendButtonBase<mui.TabTypeMap<{}, "div">>;
    Table: import("@mui/material/OverridableComponent").OverridableComponent<mui.TableTypeMap<{}, "table">>;
    TableBody: import("@mui/material/OverridableComponent").OverridableComponent<mui.TableBodyTypeMap<{}, "tbody">>;
    TableCell: typeof mui.TableCell;
    TableContainer: import("@mui/material/OverridableComponent").OverridableComponent<mui.TableContainerTypeMap<{}, "div">>;
    TableFooter: import("@mui/material/OverridableComponent").OverridableComponent<mui.TableFooterTypeMap<{}, "tfoot">>;
    TableHead: import("@mui/material/OverridableComponent").OverridableComponent<mui.TableHeadTypeMap<{}, "thead">>;
    TablePagination: import("@mui/material/OverridableComponent").OverridableComponent<mui.TablePaginationTypeMap<{}, import("react").JSXElementConstructor<mui.TablePaginationBaseProps>>>;
    TableRow: import("@mui/material/OverridableComponent").OverridableComponent<mui.TableRowTypeMap<{}, "tr">>;
    TableSortLabel: mui.ExtendButtonBase<mui.TableSortLabelTypeMap<{}, "span">>;
    Tabs: import("@mui/material/OverridableComponent").OverridableComponent<mui.TabsTypeMap<{}, mui.ExtendButtonBase<mui.ButtonBaseTypeMap<{}, "button">>>>;
    TabScrollButton: typeof mui.TabScrollButton;
    TextField: typeof mui.TextField;
    TextareaAutosize: import("react").ForwardRefExoticComponent<mui.TextareaAutosizeProps & import("react").RefAttributes<Element>>;
    ToggleButton: mui.ExtendButtonBase<mui.ToggleButtonTypeMap<{}, "button">>;
    ToggleButtonGroup: typeof mui.ToggleButtonGroup;
    Toolbar: import("@mui/material/OverridableComponent").OverridableComponent<mui.ToolbarTypeMap<{}, "div">>;
    Tooltip: typeof mui.Tooltip;
    Typography: import("@mui/material/OverridableComponent").OverridableComponent<mui.TypographyTypeMap<{}, "span">>;
    useMediaQuery: typeof mui.useMediaQuery;
    useScrollTrigger: typeof mui.useScrollTrigger;
    Zoom: typeof mui.Zoom;
    useAutocomplete: typeof mui.useAutocomplete;
    GlobalStyles: typeof mui.GlobalStyles;
    StyledEngineProvider: typeof mui.StyledEngineProvider;
    unstable_composeClasses: typeof mui.unstable_composeClasses;
    generateUtilityClass: typeof mui.generateUtilityClass;
    generateUtilityClasses: typeof mui.generateUtilityClasses;
    Unstable_TrapFocus: typeof mui.Unstable_TrapFocus;
    experimental_sx(): any;
    THEME_ID: "$$material";
    createTheme: typeof mui.createTheme;
    unstable_createMuiStrictModeTheme: typeof mui.createTheme;
    createMuiTheme: typeof mui.createMuiTheme;
    adaptV4Theme: typeof mui.adaptV4Theme;
    createStyles: typeof mui.createStyles;
    responsiveFontSizes: typeof mui.responsiveFontSizes;
    duration: mui.Duration;
    easing: mui.Easing;
    css: typeof mui.css;
    keyframes: typeof mui.keyframes;
    hexToRgb: typeof mui.hexToRgb;
    rgbToHex: typeof mui.rgbToHex;
    hslToRgb: typeof mui.hslToRgb;
    decomposeColor: typeof mui.decomposeColor;
    recomposeColor: typeof mui.recomposeColor;
    getContrastRatio: typeof mui.getContrastRatio;
    getLuminance: typeof mui.getLuminance;
    emphasize: typeof mui.emphasize;
    alpha: typeof mui.alpha;
    darken: typeof mui.darken;
    lighten: typeof mui.lighten;
    useTheme: typeof mui.useTheme;
    useThemeProps: typeof mui.useThemeProps;
    styled: mui.CreateMUIStyled<mui.Theme>;
    experimentalStyled: mui.CreateMUIStyled<mui.Theme>;
    ThemeProvider: typeof mui.ThemeProvider;
    unstable_getUnit: typeof mui.unstable_getUnit;
    unstable_toUnitless: typeof mui.unstable_toUnitless;
    makeStyles: typeof mui.makeStyles;
    withStyles: typeof mui.withStyles;
    withTheme: typeof mui.withTheme;
    experimental_extendTheme: typeof mui.experimental_extendTheme;
    getOverlayAlpha: (elevation: number) => string;
    shouldSkipGeneratingVar: typeof mui.shouldSkipGeneratingVar;
    private_createTypography: typeof mui.private_createTypography;
    private_excludeVariablesFromRoot: (cssVarPrefix: string) => string[];
    useColorScheme: () => import("@mui/system").ColorSchemeContextValue<mui.SupportedColorScheme>;
    getInitColorSchemeScript: typeof import("@mui/system").getInitColorSchemeScript;
    Experimental_CssVarsProvider: (props: import("react").PropsWithChildren<Partial<import("@mui/system").CssVarsProviderConfig<mui.SupportedColorScheme>> & {
        theme?: {
            cssVarPrefix?: string | undefined;
            colorSchemes: Record<mui.SupportedColorScheme, Record<string, any>>;
        } | {
            $$material: {
                cssVarPrefix?: string | undefined;
                colorSchemes: Record<mui.SupportedColorScheme, Record<string, any>>;
            };
        } | undefined;
        documentNode?: Document | null | undefined;
        colorSchemeNode?: Element | null | undefined;
        colorSchemeSelector?: string | undefined;
        storageWindow?: Window | null | undefined;
        disableNestedContext?: boolean | undefined;
        disableStyleSheetGeneration?: boolean | undefined;
    }>) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>;
    capitalize: typeof mui.capitalize;
    createChainedFunction: typeof mui.createChainedFunction;
    createSvgIcon: typeof mui.createSvgIcon;
    debounce: typeof mui.debounce;
    deprecatedPropType: typeof mui.deprecatedPropType;
    isMuiElement: typeof mui.isMuiElement;
    ownerDocument: typeof mui.ownerDocument;
    ownerWindow: typeof mui.ownerWindow;
    requirePropFactory: typeof mui.requirePropFactory;
    setRef: typeof mui.setRef;
    unstable_useEnhancedEffect: typeof mui.unstable_useEnhancedEffect;
    unstable_useId: typeof mui.unstable_useId;
    unsupportedProp: typeof mui.unsupportedProp;
    useControlled: typeof mui.useControlled;
    useEventCallback: typeof mui.useEventCallback;
    useForkRef: typeof mui.useForkRef;
    useIsFocusVisible: typeof mui.useIsFocusVisible;
    unstable_ClassNameGenerator: {
        configure(generator: (componentName: string) => string): void;
        generate(componentName: string): string;
        reset(): void;
    };
    accordionClasses: mui.AccordionClasses;
    getAccordionUtilityClass(slot: string): string;
    accordionActionsClasses: mui.AccordionActionsClasses;
    getAccordionActionsUtilityClass(slot: string): string;
    accordionDetailsClasses: mui.AccordionDetailsClasses;
    getAccordionDetailsUtilityClass(slot: string): string;
    accordionSummaryClasses: mui.AccordionSummaryClasses;
    getAccordionSummaryUtilityClass(slot: string): string;
    alertClasses: mui.AlertClasses;
    getAlertUtilityClass(slot: string): string;
    alertTitleClasses: mui.AlertTitleClasses;
    getAlertTitleUtilityClass(slot: string): string;
    appBarClasses: mui.AppBarClasses;
    getAppBarUtilityClass(slot: string): string;
    autocompleteClasses: mui.AutocompleteClasses;
    createFilterOptions: typeof mui.createFilterOptions;
    getAutocompleteUtilityClass(slot: string): string;
    avatarClasses: mui.AvatarClasses;
    getAvatarUtilityClass(slot: string): string;
    avatarGroupClasses: mui.AvatarGroupClasses;
    getAvatarGroupUtilityClass(slot: string): string;
    backdropClasses: mui.BackdropClasses;
    BackdropRoot: import("react").FC<(import("react").HTMLAttributes<HTMLDivElement> & mui.BackdropComponentsPropsOverrides) | undefined>;
    getBackdropUtilityClass(slot: string): string;
    badgeClasses: mui.BadgeClasses;
    BadgeRoot: import("react").FC<import("@mui/base").SlotComponentProps<"span", import("@mui/base").BadgeRootSlotPropsOverrides, {
        badgeContent: import("react").ReactNode;
        children?: import("react").ReactNode;
        invisible: boolean;
        max: number;
        slotProps?: {
            root?: import("@mui/base").SlotComponentProps<"span", import("@mui/base").BadgeRootSlotPropsOverrides, any> | undefined;
            badge?: import("@mui/base").SlotComponentProps<"span", import("@mui/base").BadgeBadgeSlotPropsOverrides, any> | undefined;
        } | undefined;
        slots?: import("@mui/base").BadgeSlots | undefined;
        showZero: boolean;
    }> | undefined>;
    BadgeMark: import("react").FC<import("@mui/base").SlotComponentProps<"span", import("@mui/base").BadgeBadgeSlotPropsOverrides, {
        badgeContent: import("react").ReactNode;
        children?: import("react").ReactNode;
        invisible: boolean;
        max: number;
        slotProps?: {
            root?: import("@mui/base").SlotComponentProps<"span", import("@mui/base").BadgeRootSlotPropsOverrides, any> | undefined;
            badge?: import("@mui/base").SlotComponentProps<"span", import("@mui/base").BadgeBadgeSlotPropsOverrides, any> | undefined;
        } | undefined;
        slots?: import("@mui/base").BadgeSlots | undefined;
        showZero: boolean;
    }> | undefined>;
    getBadgeUtilityClass(slot: string): string;
    bottomNavigationClasses: mui.BottomNavigationClasses;
    getBottomNavigationUtilityClass(slot: string): string;
    bottomNavigationActionClasses: mui.BottomNavigationActionClasses;
    getBottomNavigationActionUtilityClass(slot: string): string;
    breadcrumbsClasses: mui.BreadcrumbsClasses;
    getBreadcrumbsUtilityClass(slot: string): string;
    buttonClasses: mui.ButtonClasses;
    getButtonUtilityClass(slot: string): string;
    buttonBaseClasses: mui.ButtonBaseClasses;
    touchRippleClasses: mui.TouchRippleClasses;
    getButtonBaseUtilityClass(slot: string): string;
    getTouchRippleUtilityClass(slot: string): string;
    buttonGroupClasses: mui.ButtonGroupClasses;
    getButtonGroupUtilityClass(slot: string): string;
    cardClasses: mui.CardClasses;
    getCardUtilityClass(slot: string): string;
    cardActionAreaClasses: mui.CardActionAreaClasses;
    getCardActionAreaUtilityClass(slot: string): string;
    cardActionsClasses: mui.CardActionsClasses;
    getCardActionsUtilityClass(slot: string): string;
    cardContentClasses: mui.CardContentClasses;
    getCardContentUtilityClass(slot: string): string;
    cardHeaderClasses: mui.CardHeaderClasses;
    getCardHeaderUtilityClass(slot: string): string;
    cardMediaClasses: mui.CardMediaClasses;
    getCardMediaUtilityClass(slot: string): string;
    checkboxClasses: mui.CheckboxClasses;
    getCheckboxUtilityClass(slot: string): string;
    chipClasses: mui.ChipClasses;
    getChipUtilityClass(slot: string): string;
    circularProgressClasses: mui.CircularProgressClasses;
    getCircularProgressUtilityClass(slot: string): string;
    collapseClasses: mui.CollapseClasses;
    getCollapseUtilityClass(slot: string): string;
    containerClasses: mui.ContainerClasses;
    getContainerUtilityClass(slot: string): string;
    dialogClasses: mui.DialogClasses;
    getDialogUtilityClass(slot: string): string;
    dialogActionsClasses: mui.DialogActionsClasses;
    getDialogActionsUtilityClass(slot: string): string;
    dialogContentClasses: mui.DialogContentClasses;
    getDialogContentUtilityClass(slot: string): string;
    dialogContentTextClasses: mui.DialogContentTextClasses;
    getDialogContentTextUtilityClass(slot: string): string;
    dialogTitleClasses: mui.DialogTitleClasses;
    getDialogTitleUtilityClass(slot: string): string;
    dividerClasses: mui.DividerClasses;
    getDividerUtilityClass(slot: string): string;
    drawerClasses: mui.DrawerClasses;
    getDrawerUtilityClass(slot: string): string;
    fabClasses: mui.FabClasses;
    getFabUtilityClass(slot: string): string;
    filledInputClasses: mui.FilledInputClasses;
    getFilledInputUtilityClass(slot: string): string;
    useFormControl: typeof mui.useFormControl;
    formControlClasses: mui.FormControlClasses;
    getFormControlUtilityClasses(slot: string): string;
    formControlLabelClasses: mui.FormControlLabelClasses;
    getFormControlLabelUtilityClasses(slot: string): string;
    formGroupClasses: mui.FormGroupClasses;
    getFormGroupUtilityClass(slot: string): string;
    formHelperTextClasses: mui.FormHelperTextClasses;
    getFormHelperTextUtilityClasses(slot: string): string;
    formLabelClasses: mui.FormLabelClasses;
    getFormLabelUtilityClasses(slot: string): string;
    gridClasses: mui.GridClasses;
    getGridUtilityClass(slot: string): string;
    grid2Classes: import("@mui/system").GridClasses;
    getGrid2UtilityClass(slot: string): string;
    iconClasses: mui.IconClasses;
    getIconUtilityClass(slot: string): string;
    iconButtonClasses: mui.IconButtonClasses;
    getIconButtonUtilityClass(slot: string): string;
    imageListClasses: mui.ImageListClasses;
    getImageListUtilityClass(slot: string): string;
    imageListItemClasses: mui.ImageListItemClasses;
    getImageListItemUtilityClass(slot: string): string;
    imageListItemBarClasses: mui.ImageListItemBarClasses;
    getImageListItemBarUtilityClass(slot: string): string;
    inputClasses: mui.InputClasses;
    getInputUtilityClass(slot: string): string;
    inputAdornmentClasses: mui.InputAdornmentClasses;
    getInputAdornmentUtilityClass(slot: string): string;
    inputBaseClasses: mui.InputBaseClasses;
    getInputBaseUtilityClass(slot: string): string;
    inputLabelClasses: mui.InputLabelClasses;
    getInputLabelUtilityClasses(slot: string): string;
    linearProgressClasses: mui.LinearProgressClasses;
    getLinearProgressUtilityClass(slot: string): string;
    linkClasses: mui.LinkClasses;
    getLinkUtilityClass(slot: string): string;
    listClasses: mui.ListClasses;
    getListUtilityClass(slot: string): string;
    listItemClasses: mui.ListItemClasses;
    getListItemUtilityClass(slot: string): string;
    listItemAvatarClasses: mui.ListItemAvatarClasses;
    getListItemAvatarUtilityClass(slot: string): string;
    listItemButtonClasses: mui.ListItemButtonClasses;
    getListItemButtonUtilityClass(slot: string): string;
    listItemIconClasses: mui.ListItemIconClasses;
    getListItemIconUtilityClass(slot: string): string;
    listItemSecondaryActionClasses: mui.ListItemSecondaryActionClasses;
    getListItemSecondaryActionClassesUtilityClass(slot: string): string;
    listItemTextClasses: mui.ListItemTextClasses;
    getListItemTextUtilityClass(slot: string): string;
    listSubheaderClasses: mui.ListSubheaderClasses;
    getListSubheaderUtilityClass(slot: string): string;
    menuClasses: mui.MenuClasses;
    getMenuUtilityClass(slot: string): string;
    menuItemClasses: mui.MenuItemClasses;
    getMenuItemUtilityClass(slot: string): string;
    mobileStepperClasses: mui.MobileStepperClasses;
    getMobileStepperUtilityClass(slot: string): string;
    ModalManager: typeof mui.ModalManager;
    ModalRoot: import("react").FC<import("@mui/base").SlotComponentProps<"div", mui.ModalComponentsPropsOverrides, mui.ModalOwnerState> | undefined>;
    modalClasses: mui.ModalClasses;
    nativeSelectClasses: mui.NativeSelectClasses;
    getNativeSelectUtilityClasses(slot: string): string;
    outlinedInputClasses: mui.OutlinedInputClasses;
    getOutlinedInputUtilityClass(slot: string): string;
    paginationClasses: mui.PaginationClasses;
    getPaginationUtilityClass(slot: string): string;
    paginationItemClasses: mui.PaginationItemClasses;
    getPaginationItemUtilityClass(slot: string): string;
    paperClasses: mui.PaperClasses;
    getPaperUtilityClass(slot: string): string;
    popoverClasses: mui.PopoverClasses;
    getOffsetTop(rect: DOMRect, vertical: number | "center" | "bottom" | "top"): number;
    getOffsetLeft(rect: DOMRect, horizontal: number | "center" | "left" | "right"): number;
    getPopoverUtilityClass(slot: string): string;
    radioClasses: mui.RadioClasses;
    getRadioUtilityClass(slot: string): string;
    useRadioGroup: typeof mui.useRadioGroup;
    ratingClasses: mui.RatingClasses;
    getRatingUtilityClass(slot: string): string;
    scopedCssBaselineClasses: Record<"root", string>;
    getScopedCssBaselineUtilityClass(slot: string): string;
    selectClasses: mui.SelectClasses;
    getSelectUtilityClasses(slot: string): string;
    skeletonClasses: mui.SkeletonClasses;
    getSkeletonUtilityClass(slot: string): string;
    sliderClasses: mui.SliderClasses;
    SliderRoot: import("react").FC<import("@mui/base").SlotComponentProps<"span", mui.SliderComponentsPropsOverrides, mui.SliderOwnerState> | undefined>;
    SliderMark: import("react").FC<import("@mui/base").SlotComponentProps<"span", mui.SliderComponentsPropsOverrides, mui.SliderOwnerState> | undefined>;
    SliderMarkLabel: import("react").FC<import("@mui/base").SlotComponentProps<"span", mui.SliderComponentsPropsOverrides, mui.SliderOwnerState> | undefined>;
    SliderRail: import("react").FC<import("@mui/base").SlotComponentProps<"span", mui.SliderComponentsPropsOverrides, mui.SliderOwnerState> | undefined>;
    SliderTrack: import("react").FC<import("@mui/base").SlotComponentProps<"span", mui.SliderComponentsPropsOverrides, mui.SliderOwnerState> | undefined>;
    SliderThumb: import("react").FC<import("@mui/base").SlotComponentProps<"span", mui.SliderComponentsPropsOverrides, mui.SliderOwnerState> | undefined>;
    SliderValueLabel: import("react").FC<mui.SliderValueLabelProps>;
    getSliderUtilityClass(slot: string): string;
    snackbarClasses: mui.SnackbarClasses;
    getSnackbarUtilityClass(slot: string): string;
    snackbarContentClasses: mui.SnackbarContentClasses;
    getSnackbarContentUtilityClass(slot: string): string;
    speedDialClasses: mui.SpeedDialClasses;
    getSpeedDialUtilityClass(slot: string): string;
    speedDialActionClasses: mui.SpeedDialActionClasses;
    getSpeedDialActionUtilityClass(slot: string): string;
    speedDialIconClasses: mui.SpeedDialIconClasses;
    getSpeedDialIconUtilityClass(slot: string): string;
    stackClasses: mui.StackClasses;
    getStackUtilityClass(slot: string): string;
    stepClasses: mui.StepClasses;
    StepContext: import("react").Context<{} | mui.StepContextType>;
    getStepUtilityClass(slot: string): string;
    useStepContext(): {} | mui.StepContextType;
    stepButtonClasses: mui.StepButtonClasses;
    getStepButtonUtilityClass(slot: string): string;
    stepConnectorClasses: mui.StepConnectorClasses;
    getStepConnectorUtilityClass(slot: string): string;
    stepContentClasses: mui.StepContentClasses;
    getStepContentUtilityClass(slot: string): string;
    stepIconClasses: mui.StepIconClasses;
    getStepIconUtilityClass(slot: string): string;
    stepLabelClasses: mui.StepLabelClasses;
    getStepLabelUtilityClass(slot: string): string;
    stepperClasses: mui.StepperClasses;
    StepperContext: import("react").Context<{} | mui.StepperContextType>;
    getStepperUtilityClass(slot: string): string;
    useStepperContext(): {} | mui.StepperContextType;
    svgIconClasses: mui.SvgIconClasses;
    getSvgIconUtilityClass(slot: string): string;
    switchClasses: mui.SwitchClasses;
    getSwitchUtilityClass(slot: string): string;
    tabClasses: mui.TabClasses;
    getTabUtilityClass(slot: string): string;
    tableClasses: mui.TableClasses;
    getTableUtilityClass(slot: string): string;
    tableBodyClasses: mui.TableBodyClasses;
    getTableBodyUtilityClass(slot: string): string;
    tableCellClasses: mui.TableCellClasses;
    getTableCellUtilityClass(slot: string): string;
    tableContainerClasses: mui.TableContainerClasses;
    getTableContainerUtilityClass(slot: string): string;
    tableFooterClasses: mui.TableFooterClasses;
    getTableFooterUtilityClass(slot: string): string;
    tableHeadClasses: mui.TableHeadClasses;
    getTableHeadUtilityClass(slot: string): string;
    tablePaginationClasses: mui.TablePaginationClasses;
    getTablePaginationUtilityClass(slot: string): string;
    tableRowClasses: mui.TableRowClasses;
    getTableRowUtilityClass(slot: string): string;
    tableSortLabelClasses: mui.TableSortLabelClasses;
    getTableSortLabelUtilityClass(slot: string): string;
    tabsClasses: mui.TabsClasses;
    getTabsUtilityClass(slot: string): string;
    tabScrollButtonClasses: mui.TabScrollButtonClasses;
    getTabScrollButtonUtilityClass(slot: string): string;
    textFieldClasses: mui.TextFieldClasses;
    getTextFieldUtilityClass(slot: string): string;
    toggleButtonClasses: mui.ToggleButtonClasses;
    getToggleButtonUtilityClass(slot: string): string;
    toggleButtonGroupClasses: mui.ToggleButtonGroupClasses;
    getToggleButtonGroupUtilityClass(slot: string): string;
    toolbarClasses: mui.ToolbarClasses;
    getToolbarUtilityClass(slot: string): string;
    tooltipClasses: mui.TooltipClasses;
    getTooltipUtilityClass(slot: string): string;
    typographyClasses: mui.TypographyClasses;
    getTypographyUtilityClass(slot: string): string;
    useClickOutside: typeof hooks.useClickOutside;
    useClipboard: typeof hooks.useClipboard;
    useCounter: typeof hooks.useCounter;
    useDebouncedState: typeof hooks.useDebouncedState;
    useDebouncedValue: typeof hooks.useDebouncedValue;
    useDocumentTitle: typeof hooks.useDocumentTitle;
    useDocumentVisibility: typeof hooks.useDocumentVisibility;
    useFocusReturn: typeof hooks.useFocusReturn;
    useDidUpdate: typeof hooks.useDidUpdate;
    useFocusTrap: typeof hooks.useFocusTrap;
    useForceUpdate: typeof hooks.useForceUpdate;
    useId: typeof hooks.useId;
    useIdle: typeof hooks.useIdle;
    useInterval: typeof hooks.useInterval;
    useIsomorphicEffect: typeof import("react").useEffect;
    useListState: typeof hooks.useListState;
    useLocalStorage: typeof hooks.useLocalStorage;
    useSessionStorage: typeof hooks.useSessionStorage;
    useMergedRef: typeof hooks.useMergedRef;
    mergeRefs: typeof hooks.mergeRefs;
    useMouse: typeof hooks.useMouse;
    useMove: typeof hooks.useMove;
    clampUseMovePosition: (position: hooks.UseMovePosition) => {
        x: number;
        y: number;
    };
    usePagination: typeof hooks.usePagination;
    useQueue: typeof hooks.useQueue;
    usePageLeave: typeof hooks.usePageLeave;
    useReducedMotion: typeof hooks.useReducedMotion;
    useScrollIntoView: typeof hooks.useScrollIntoView;
    useResizeObserver: typeof hooks.useResizeObserver;
    useElementSize: typeof hooks.useElementSize;
    useScrollLock: typeof hooks.useScrollLock;
    useShallowEffect: typeof hooks.useShallowEffect;
    useToggle: typeof hooks.useToggle;
    useUncontrolled: typeof hooks.useUncontrolled;
    useViewportSize: typeof hooks.useViewportSize;
    useWindowEvent: typeof hooks.useWindowEvent;
    useWindowScroll: typeof hooks.useWindowScroll;
    useIntersection: typeof hooks.useIntersection;
    useHash: typeof hooks.useHash;
    useHotkeys: typeof hooks.useHotkeys;
    getHotkeyHandler: typeof hooks.getHotkeyHandler;
    useFullscreen: typeof hooks.useFullscreen;
    useLogger: typeof hooks.useLogger;
    useHover: typeof hooks.useHover;
    useValidatedState: typeof hooks.useValidatedState;
    useOs: typeof hooks.useOs;
    useSetState: typeof hooks.useSetState;
    useInputState: typeof hooks.useInputState;
    useEventListener: typeof hooks.useEventListener;
    useDisclosure: typeof hooks.useDisclosure;
    useFocusWithin: typeof hooks.useFocusWithin;
    useNetwork: typeof hooks.useNetwork;
    useTimeout: typeof hooks.useTimeout;
    useTextSelection: typeof hooks.useTextSelection;
    usePrevious: typeof hooks.usePrevious;
    useFavicon: typeof hooks.useFavicon;
    useHeadroom: typeof hooks.useHeadroom;
    useEyeDropper: typeof hooks.useEyeDropper;
    assignRef: typeof hooks.assignRef;
    clamp: typeof hooks.clamp;
    lowerFirst: typeof hooks.lowerFirst;
    randomId: typeof hooks.randomId;
    range: typeof hooks.range;
    shallowEqual: typeof hooks.shallowEqual;
    upperFirst: typeof hooks.upperFirst;
};
export default _default;
export * from './code';
export * from './noXFound';
export * from './staticAlert';
export * from './status';
